PXE Drivers
List PXE Drivers
GET /pxe/driver
List of PXE Drivers
Response 200: List of PXE Drivers
| Field | Type | Description |
|---|---|---|
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
name |
string |
Create PXE Driver
POST /pxe/driver
Add new PXE Driver
Request body
| Field | Type | Required | Description |
|---|---|---|---|
driver |
string | yes | |
name |
string | yes |
Response 200: A PXE Driver
| Field | Type | Description |
|---|---|---|
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
name |
string |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
driver |
string | yes | |
name |
string | yes |
Response 422: Unprocessable Entity
Delete PXE Driver
DELETE /pxe/driver/{driver_id}
Delete a VirtlixCP PXE Driver
Response 200: PXE Driver deleted successfully
Response 404: Item not Found
View PXE Driver
GET /pxe/driver/{driver_id}
A PXE Driver
Response 200: A PXE Driver
| Field | Type | Description |
|---|---|---|
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
name |
string |
Edit PXE Driver
PATCH /pxe/driver/{driver_id}
Request body
| Field | Type | Required | Description |
|---|---|---|---|
driver |
string | ||
name |
string |
Response 200: A VirtlixCP PXE Driver
| Field | Type | Description |
|---|---|---|
id |
integer | VirtlixCP-specific unique identifier used for URLs, etc. |
name |
string |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
driver |
string | ||
name |
string |
Response 422: Unprocessable Entity